Docs
Create Proposal
POST /Proposals
POST
/ProposalsCreates a proposal or a change order (type Proposal or ChangeOrder) in Draft status and returns its id. A change order requires parentProposalId, which must be an Accepted proposal and not another change order; a Proposal must not have one. clientCollaboratorRecordId must be a collaborator on this event (Events_GetCollaborators). Requires event admin permission.
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| type | string | Optional | |
| parentProposalId | uuid | Optional | |
| clientCollaboratorRecordId | uuid | Optional | |
| terms | string | Optional | |
| internalNotes | string | Optional |
Response
Type: uuid